Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface Hl7v2Factory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  Hl7v2FactoryImpl

    public interface Hl7v2Factory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `Hl7v2Package`

Field Summary
`static Hl7v2Factory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`CX` | `createCX()` Returns a new object of class 'CX'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`SourcePatientInfoType` | `createSourcePatientInfoType()` Returns a new object of class 'Source Patient Info Type'.
`XAD` | `createXAD()` Returns a new object of class 'XAD'.
`XCN` | `createXCN()` Returns a new object of class 'XCN'.
`XON` | `createXON()` Returns a new object of class 'XON'.
`XPN` | `createXPN()` Returns a new object of class 'XPN'.
`XTN` | `createXTN()` Returns a new object of class 'XTN'.
`Hl7v2Package` | `getHl7v2Package()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final Hl7v2Factory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createCX

    CX createCX()

  Returns a new object of class 'CX'.

  Returns:
    a new object of class 'CX'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createSourcePatientInfoType

    SourcePatientInfoType createSourcePatientInfoType()

  Returns a new object of class 'Source Patient Info Type'.

  Returns:
    a new object of class 'Source Patient Info Type'.

### createXAD

    XAD createXAD()

  Returns a new object of class 'XAD'.

  Returns:
    a new object of class 'XAD'.

### createXCN

    XCN createXCN()

  Returns a new object of class 'XCN'.

  Returns:
    a new object of class 'XCN'.

### createXON

    XON createXON()

  Returns a new object of class 'XON'.

  Returns:
    a new object of class 'XON'.

### createXPN

    XPN createXPN()

  Returns a new object of class 'XPN'.

  Returns:
    a new object of class 'XPN'.

### createXTN

    XTN createXTN()

  Returns a new object of class 'XTN'.

  Returns:
    a new object of class 'XTN'.

### getHl7v2Package

    Hl7v2Package getHl7v2Package()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD